## fqterm 0.9.10.1

=== CMakeLists.txt ===
project(fqterm)

set(FQTERM_VERSION "0.9.10.1")
set(CMAKE_VERBOSE_MAKEFILE ON)
cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake
)

set(CMAKE_COLOR_MAKEFILE ON)

include(GetGitRevisionDescription)
git_describe(MCGGIT_WC_REVISION)
IF(MCGGIT_WC_REVISION MATCHES "NOTFOUND")
  message("Version: " ${FQTERM_VERSION})
ELSE(MCGGIT_WC_REVISION MATCHES "NOTFOUND")
  message("Git revision: " ${MCGGIT_WC_REVISION})
ENDIF(MCGGIT_WC_REVISION MATCHES "NOTFOUND")

SET(USE_QT5 OFF CACHE PATH "Do the Qt5 build")

IF(USE_QT5)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  set(CMAKE_AUTOMOC ON)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5LinguistTools REQUIRED)
  qt5_add_translation(fqterm_qm_files
    ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/protocol_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/common_zh_CN.ts
    )
ELSE(USE_QT5)
  find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork QtScript QtXml REQUIRED)
  include(${QT_USE_FILE})
  qt4_add_translation(fqterm_qm_files
    ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/protocol_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/common_zh_CN.ts
    )
ENDIF(USE_QT5)

add_custom_target(fqterm_qm_target
  DEPENDS ${fqterm_qm_files}
)
FIND_PACKAGE(PythonLibs)
if (PYTHONLIBS_FOUND)
  SET(PYTHON_LIB ${PYTHON_LIBRARIES})
  INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
  ADD_DEFINITIONS(-DFOUND_PYTHON)
else (PYTHONLIBS_FOUND)
  SET(PYTHON_LIB)
endif (PYTHONLIBS_FOUND)

if (NOT USE_QT5)
  IF(WIN32)
    FILE(READ ${QT_LIBRARY_DIR}/QtCore.prl FQ_CORE_QT_CONFIG)
  ELSE(WIN32)
    IF(APPLE)
      FILE(READ ${QT_LIBRARY_DIR}/QtCore.framework/QtCore.prl FQ_CORE_QT_CONFIG)
    ELSE(APPLE)
      FILE(READ ${QT_LIBRARY_DIR}/libQtCore.prl FQ_CORE_QT_CONFIG)
    ENDIF(APPLE)
  ENDIF(WIN32)

  IF(NOT FQ_CORE_QT_CONFIG MATCHES "static")
    SET(FQTERM_USE_STATIC_QT false)
  ELSE(NOT FQ_CORE_QT_CONFIG MATCHES "static")
    SET(FQTERM_USE_STATIC_QT true)
  ENDIF(NOT FQ_CORE_QT_CONFIG MATCHES "static")
endif(NOT USE_QT5)

SET(SUB_CMAKELIST "UNKNOWN")

ADD_DEFINITIONS(-D "FQTERM_VERSION_STRING=\\\"${FQTERM_VERSION}\\\"")

# Before adding src directory, make sure all the necessary definitions
# are added
add_subdirectory(src)

set(FQTERM_LIBS
  fqterm_main
  fqterm_terminal
  fqterm_protocol
  fqterm_utilities
  fqterm_ui
  fqterm_imageviewer
  fqterm_common
  )

IF(WIN32)
  IF(MINGW)
    SET(SUB_CMAKELIST "CMakeLists.txt.mingw")
  ELSE(MINGW)
    SET(SUB_CMAKELIST "CMakeLists.txt.win32")
  ENDIF(MINGW)
ELSE(WIN32)
  IF(APPLE)
    SET(SUB_CMAKELIST "CMakeLists.txt.macos")
  ELSE(APPLE)
    IF(UNIX)
      IF(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
        SET(SUB_CMAKELIST "CMakeLists.txt.linux")
      ELSE(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
		IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
		  SET(SUB_CMAKELIST "CMakeLists.txt.freebsd")
		ENDIF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
      ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
    ENDIF(UNIX)
  ENDIF(APPLE)
ENDIF(WIN32)

IF(CMAKE_SYSTEM_NAME MATCHES "GNU")
  SET(SUB_CMAKELIST "CMakeLists.txt.linux")
ENDIF(CMAKE_SYSTEM_NAME MATCHES "GNU")

IF(SUB_CMAKELIST MATCHES "UNKNOWN")
  MESSAGE(FATAL_ERROR "Unsupported system type detected!")
ELSE(SUB_CMAKELIST MATCHES "UNKNOWN")
  INCLUDE("${SUB_CMAKELIST}")
ENDIF(SUB_CMAKELIST MATCHES "UNKNOWN")

=== src/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(protocol)
add_subdirectory(ui)
add_subdirectory(terminal)
add_subdirectory(utilities)
add_subdirectory(fqterm)

=== src/common/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)

set(fqterm_common_SRCS
  common.h
  common.cpp
  fqterm.h
  fqterm_trace.h
  fqterm_trace.cpp
  fqterm_config.h
  fqterm_config.cpp
  fqterm_sound.h
  fqterm_sound.cpp
  fqterm_param.h
  fqterm_param.cpp
  fqterm_path.h
  fqterm_path.cpp
  fqterm_font.h
  fqterm_font.cpp
  fqterm_exif_extractor.h
  fqterm_exif_extractor.cpp
  fqterm_filedialog.h
  fqterm_filedialog.cpp
  fqterm_shortcuthelper.h
  fqterm_shortcuthelper.cpp
)

if(USE_QT5)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Multimedia REQUIRED)
else(USE_QT5)
  include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    )
endif(USE_QT5)

add_library(fqterm_common
  ${fqterm_common_SRCS}
)

if(USE_QT5)
  target_link_libraries(fqterm_common Qt5::Core Qt5::Widgets Qt5::Multimedia)
endif(USE_QT5)

=== src/fqterm/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)

set(fqterm_SRCS
  fqterm_frame.h
  fqterm_screen.h
  fqterm_window.h
  fqterm_wndmgr.h
  fqterm_frame.cpp
  fqterm_screen.cpp
  fqterm_window.cpp
  fqterm_wndmgr.cpp
  fqterm_python.h
  fqterm_python.cpp
  fqterm_scriptengine.h
  fqterm_scriptengine.cpp
)

IF(IMAGE_USE_PICFLOW)
  ADD_DEFINITIONS(-DIMAGE_USE_PICFLOW)
ELSE(IMAGE_USE_PICFLOW)
ENDIF(IMAGE_USE_PICFLOW)

IF(GLOBAL_HOTKEY EQUAL 1)
IF(WIN32)
  set(global_shortcut_impl_SRCS 3rdparty/qxtglobalshortcut_win.cpp)
ELSE(WIN32)
  IF(APPLE)
    set(global_shortcut_impl_SRCS 3rdparty/qxtglobalshortcut_mac.cpp)
  ELSE(APPLE)
    set(global_shortcut_impl_SRCS 3rdparty/qxtglobalshortcut_x11.cpp)
    IF(USE_QT5)
      find_package(Qt5X11Extras REQUIRED)
      set(QXTLIB Qt5::X11Extras)
    ENDIF(USE_QT5)
  ENDIF(APPLE)
ENDIF(WIN32)
set(GLOBAL_SHORTCUT_SRC
  ${global_shortcut_impl_SRCS}
  3rdparty/qxtglobalshortcut.cpp
  3rdparty/qxtglobalshortcut.h
  3rdparty/qxtglobalshortcut_p.h
  3rdparty/qxtglobal.h
)
ADD_DEFINITIONS(-DUSE_GLOBAL_HOTKEY)
ENDIF(GLOBAL_HOTKEY EQUAL 1)
  

set(3rdparty_SRCS
  3rdparty/dotnetstyle.cpp
  3rdparty/dotnetstyle.h
  3rdparty/uaocodec.h
  3rdparty/uaocodec.cpp
  ${GLOBAL_SHORTCUT_SRC}
)

if(USE_QT5)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)
  find_package(Qt5Script REQUIRED)

  qt5_create_translation(fqterm_qm_file
    ${fqterm_SRCS}
    ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
    )
else(USE_QT5)
  qt4_create_translation(fqterm_qm_file
    ${fqterm_SRCS}
    ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
    )
endif(USE_QT5)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${QT_QTSCRIPT_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../protocol
  ${CMAKE_CURRENT_SOURCE_DIR}/../terminal
  ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
  ${CMAKE_CURRENT_SOURCE_DIR}/../ui
  ${CMAKE_CURRENT_SOURCE_DIR}/../ui/imageviewer
  ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty
  ${CMAKE_CURRENT_BINARY_DIR}/../ui
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_main
  ${fqterm_SRCS}
  ${3rdparty_SRCS}
)

add_dependencies(fqterm_main
  fqterm_common
  fqterm_terminal
  fqterm_protocol
  fqterm_ui
  fqterm_utilities
)

if(USE_QT5)
  target_link_libraries(
    fqterm_main
    Qt5::Core
    Qt5::Widgets
    Qt5::Network
    Qt5::Script
    ${QXTLIB}
    )
endif(USE_QT5)

=== src/protocol/CMakeLists.txt ===
find_package(OpenSSL REQUIRED)
set(CMAKE_AUTOMOC ON)

set(export_SRCS
  fqterm_socket_private.cpp
  fqterm_socket.h
  fqterm_telnet_socket.cpp
  fqterm_telnet_socket.h
  fqterm_local_socket.cpp
  fqterm_local_socket.h
  fqterm_ssh_socket.h
  fqterm_ssh_socket.cpp
  connect_info.h
)

set(internal_SRCS
  internal/buffer.c
  internal/ssh_rsa.c
  internal/ssh_crypto_common.h
  internal/ssh_crypto_common.c
  internal/ssh_cipher.h
  internal/all_ciphers.c
  internal/ssh_evp_cipher.c
  internal/ssh_3des-ssh1.c
  internal/ssh_mac.h
  internal/ssh_mac.c
  internal/ssh_pubkey_crypto.h
  internal/ssh_pubkey_crypto.c
  internal/ssh_diffie-hellman.h
  internal/ssh_diffie-hellman.c
  internal/crc32.c
  internal/ssh_packet.c
  internal/curve25519/smult.c
  internal/curve25519/base.c
  internal/ccan_base64.c
  internal/ssh_known_hosts.c
  internal/fqterm_ssh_auth.h
  internal/fqterm_ssh_const.h
  internal/fqterm_ssh_kex.h
  internal/fqterm_ssh2_kex.h
  internal/fqterm_ssh_packet.h
  internal/fqterm_ssh1_packet.h
  internal/fqterm_ssh2_packet.h
  internal/fqterm_ssh_channel.h
  internal/fqterm_ssh_types.h
  internal/fqterm_ssh_auth.cpp
  internal/fqterm_ssh_kex.cpp
  internal/fqterm_ssh2_kex.cpp
  internal/fqterm_ssh_packet.cpp
  internal/fqterm_ssh1_packet.cpp
  internal/fqterm_ssh2_packet.cpp
  internal/fqterm_ssh_channel.cpp
)

if(USE_QT5)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Network REQUIRED)
else(USE_QT5)
endif(USE_QT5)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${OPENSSL_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/internal
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_protocol
  ${export_SRCS}
  ${internal_SRCS}
)

add_dependencies(fqterm_protocol
  fqterm_common
)

if(USE_QT5)
  target_link_libraries(fqterm_protocol Qt5::Core Qt5::Network)
endif(USE_QT5)

=== src/ui/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)

add_subdirectory(imageviewer)

set(fqterm_ui_SRCS
  aboutdialog.h
  addrdialog.h
  articledialog.h
  keydialog.h
  msgdialog.h
  prefdialog.h
  quickdialog.h
  schemadialog.h
  soundconf.h
  sshlogindialog.h
  zmodemdialog.h
  aboutdialog.cpp
  addrdialog.cpp
  articledialog.cpp
  keydialog.cpp
  msgdialog.cpp
  prefdialog.cpp
  quickdialog.cpp
  schemadialog.cpp
  soundconf.cpp
  sshlogindialog.cpp
  zmodemdialog.cpp
  osdmessage.h
  osdmessage.cpp
  overlayWidget.h
  overlayWidget.cpp
  popupMessage.h
  popupMessage.cpp
  popwidget.h
  popwidget.cpp
  progressBar.h
  progressBar.cpp
  fqterm_time_label.h
  fqterm_time_label.cpp
  fqterm_tool_button.h
  fqterm_tool_button.cpp
  shortcutdialog.h
  shortcutdialog.cpp
  statusBar.h
  statusBar.cpp
  sitemanager.h
  sitemanager.cpp
  iplookup.h
  iplookup.cpp
  defineescape.h
  defineescape.cpp
)

set(fqterm_ui_gen_HS
  ui_aboutdialog.h
  ui_addrdialog.h
  ui_articledialog.h
  ui_keydialog.h
  ui_msgdialog.h
  ui_prefdialog.h
  ui_quickdialog.h
  ui_schemadialog.h
  ui_sitemanager.h
  ui_soundconf.h
  ui_sshlogin.h
  ui_zmodemdialog.h
  ui_iplookup.h
  ui_defineescape.h
)

set(fqterm_ui_UIS
  aboutdialog.ui
  addrdialog.ui
  articledialog.ui
  keydialog.ui
  msgdialog.ui
  prefdialog.ui
  quickdialog.ui
  schemadialog.ui
  sitemanager.ui
  soundconf.ui
  sshlogin.ui
  zmodemdialog.ui
  iplookup.ui
  defineescape.ui
)

if(USE_QT5)
qt5_wrap_ui(fqterm_ui_UIS_H
  ${fqterm_ui_UIS}
)

find_package(Qt5Core REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Network REQUIRED)

qt5_create_translation(fqterm_ui_qm_file
  ${fqterm_ui_UIS}
  ${fqterm_ui_SRCS}
  ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
)
else(USE_QT5)
qt4_wrap_ui(fqterm_ui_UIS_H
  ${fqterm_ui_UIS}
)

qt4_create_translation(fqterm_ui_qm_file
  ${fqterm_ui_UIS}
  ${fqterm_ui_SRCS}
  ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
)
endif(USE_QT5)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_ui
  ${fqterm_ui_SRCS}
  ${fqterm_ui_gen_HS}
)

add_dependencies(fqterm_ui
  fqterm_common
  fqterm_utilities
)

IF(NOT MCGGIT_WC_REVISION MATCHES "NOTFOUND")
  ADD_DEFINITIONS(-D "FQTERM_GIT_REVISION=\\\"${MCGGIT_WC_REVISION}\\\"")
ENDIF(NOT MCGGIT_WC_REVISION MATCHES "NOTFOUND")

if(USE_QT5)
  target_link_libraries(fqterm_ui Qt5::Core Qt5::Widgets)
endif(USE_QT5)

=== src/utilities/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)

set(fqterm_utilities_SRCS
  fqterm_convert.h
  fqterm_http.h
  fqterm_ip_location.h
  fqterm_convert.cpp
  fqterm_http.cpp
  fqterm_ip_location.cpp
)

set(fq_SRCS
  fqwcwidth.h
  fqwcwidth.cpp
)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_utilities
  ${fqterm_utilities_SRCS}
  ${fq_SRCS}
)

add_dependencies(fqterm_utilities
  fqterm_common
)

if(USE_QT5)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)
  target_link_libraries(fqterm_utilities Qt5::Core Qt5::Widgets Qt5::Network)
else(USE_QT5)
endif(USE_QT5)

=== src/ui/imageviewer/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(IMAGE_USE_PICFLOW)
  set(IMGVIEW_SRCS
    imageviewer.h
    imageviewer.cpp)
else(IMAGE_USE_PICFLOW)
  set(IMGVIEW_SRCS
    imageviewer_origin.cpp
    imageviewer_origin.h)
endif(IMAGE_USE_PICFLOW)

set(fqterm_imageviewer_SRCS
  fqtermimage.cpp
  fqtermimage.h
  fqterm_canvas.cpp
  fqterm_canvas.h
  pictureflow.cpp
  pictureflow.h
  ${IMGVIEW_SRCS})

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../common
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_imageviewer
  ${fqterm_imageviewer_SRCS})

if(USE_QT5)
  target_link_libraries(fqterm_imageviewer Qt5::Core Qt5::Widgets)
endif(USE_QT5)

=== debian/changelog ===
fqterm (0.9.10.1-5) unstable; urgency=medium

  * Team upload.
  * debian/control: Remove myself from the uploaders list.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 20:48:56 -0500

fqterm (0.9.10.1-4) unstable; urgency=medium

  * add d/p/patch.update-smth-hostname, update SMTH BBS hostname

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 17 Nov 2023 09:12:32 +0800

fqterm (0.9.10.1-3) unstable; urgency=medium

  * Bump Standards-Version: 4.6.2
  * d/copyright: update year info to 2023
  * d/control: Depends:+ ssh-askpass,
    add support for ssh private key passwd input.
    see https://github.com/mytbk/fqterm/blob/master/doc/SSH.md
  * add d/p/patch.ssh_evp_cipher.c, come from upstream, fix ssh login bug
    Upstream-issue: https://github.com/mytbk/fqterm/issues/35
  * Update d/lintian-overrides
  * Run wrap-and-sort -asbkt

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 26 Jul 2023 13:01:20 +0800

fqterm (0.9.10.1-2) unstable; urgency=medium

  * Rebuild before Debian 12 release.
  * debian/control: Bump Standards-Version to 4.6.1.

  [ xiao sheng wen ]
  * Trim trailing whitespace.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Nov 2022 16:18:52 -0500

fqterm (0.9.10.1-1) unstable; urgency=medium

  * New upstream release 0.9.10.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 17:08:19 -0400

fqterm (0.9.10-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Import new upstream version 0.9.10.
  * debian/patches: Dropped, all merged upstream.

  [ 肖盛文 ]
  * d/watch: fix url,delete the letter v

 -- Boyuan Yang <byang@debian.org>  Sun, 24 May 2020 06:50:33 -0400

fqterm (0.9.9-3) unstable; urgency=medium

  [ 肖盛文 ]
  * d/control:
      - Bump debhelper-compat (= 13)
      - Bump Standards-Version: 4.5.0
      - add Rules-Requires-Root: no
      - add New Uploaders: xiao sheng wen <atzlinux@sina.com>
  * d/rules:
      - delete export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
      - delete dh_missing --fail-missing
      - use execute_after_dh_installchangelogs target
  * d/watch:
      - use @ANY_VERSION@@ARCHIVE_EXT@
  * d/copyright:
      - add Upstream-Contact: Iru Cai <mytbk920423@gmail.com>
  * delete *.patch line in .gitignore file
  * add fix-spelling-error-fqterm_decode.cpp.patch
  * convert text from gb2312 character encoding to UTF-8 on
    usr/share/FQTerm/skin/dpstyle/ReadMe.txt
  * add lintian-overrides
  * add upstream/metadata

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 17 May 2020 19:30:06 +0800

=== debian/control ===
Source: fqterm
Section: x11
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 xiao sheng wen <atzlinux@sina.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libglib2.0-dev,
 libssl-dev,
 libx11-dev,
 qtbase5-dev,
 qtmultimedia5-dev,
 qtscript5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/mytbk/fqterm
Vcs-Browser: https://salsa.debian.org/chinese-team/fqterm
Vcs-Git: https://salsa.debian.org/chinese-team/fqterm.git

Package: fqterm
Architecture: any
Depends:
 ssh-askpass,
 ${misc:Depends},
 ${shlibs:Depends},
Description: BBS client written in Qt
 FQTerm is one of the most widely used BBS client in China, it
 supports Telnet/SSH1/SSH2 protocols and can process ANSI control
 sequences. It can be used to login BBS sites or *NIX hosts.
 .
 Almost all the BBSes in Greater China Region are in BIG5 or GBK
 encoding. So FQTerm only support these two encodings and ASCII.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_QT5=1

execute_after_dh_auto_install:
	rm -f debian/fqterm/usr/share/FQTerm/fqterm.sh
	rm -f debian/fqterm/usr/share/FQTerm/fqterm.desktop.in
	rm -f debian/fqterm/usr/share/FQTerm/dict/*.ts

override_dh_clean:
	dh_clean \
	    -Xaddress.cfg.orig \
	    -Xfqterm.cfg.orig  \
	    -Xlanguage.cfg.orig --

execute_after_dh_installchangelogs:
	dh_installchangelogs --keep CHANGELOG.rst

execute_after_dh_install:
	iconv -f gb2312 -t UTF-8 -o debian/fqterm/usr/share/FQTerm/skin/dpstyle/ReadMe.txt debian/fqterm/usr/share/FQTerm/skin/dpstyle/ReadMe.txt
